package com.fzm.mall.server.front.asset.model.po.co;

import com.fzm.mall.server.front.asset.model.po.CoinPO;
import com.fzm.mall.server.front.asset.model.vo.coin.CoinOutVO;
import lombok.Getter;
import lombok.Setter;

/**
 * @author tdz
 * @date 2021/03/02 14:51
 */
@Getter
@Setter
public class CoinOutCO extends CoinPO {
    private String aid;
    private String uid;
    private String address;
    private String amount;
    private Integer feeBlock;
    private Integer feeIsToken;
    private String feeCoin;
    private String fee;
    private Integer verifyState;
    private Long timestamp;

    public CoinOutCO() {
    }

    public CoinOutCO(CoinOutVO coinOutVO) {
        this.aid = coinOutVO.getAid();
        this.uid = coinOutVO.getUid();
        this.address = coinOutVO.getAddress();
        this.setBlock(coinOutVO.getBlock());
        this.setIsToken(coinOutVO.getIsToken());
        this.setCoin(coinOutVO.getCoin());
        this.amount = coinOutVO.getAmount();
        this.feeBlock = coinOutVO.getFeeBlock();
        this.feeIsToken = coinOutVO.getFeeIsToken();
        this.feeCoin = coinOutVO.getFeeCoin();
        this.fee = coinOutVO.getFee();
    }
}
